--- include/http_core.h.orig	2012-03-31 00:50:03.860006077 -0600
+++ include/http_core.h	2012-03-31 00:51:00.310756957 -0600
@@ -84,7 +84,7 @@
 /** MultiViews directive */
 #define OPT_MULTI 128
 /**  All directives */
-#define OPT_ALL (OPT_INDEXES|OPT_INCLUDES|OPT_INC_WITH_EXEC|OPT_SYM_LINKS|OPT_EXECCGI)
+#define OPT_ALL (OPT_INDEXES|OPT_INCLUDES|OPT_INC_WITH_EXEC|OPT_SYM_OWNER|OPT_EXECCGI)
 /** @} */
 
 /**
--- server/core.c.orig	2012-03-31 00:51:24.715755655 -0600
+++ server/core.c	2012-03-31 00:56:09.283004945 -0600
@@ -139,7 +139,7 @@
     conf->opts = dir ? OPT_UNSET : OPT_UNSET|OPT_SYM_LINKS;
     conf->opts_add = conf->opts_remove = OPT_NONE;
     conf->override = OR_UNSET|OR_NONE;
-    conf->override_opts = OPT_UNSET | OPT_ALL | OPT_SYM_OWNER | OPT_MULTI;
+    conf->override_opts = OPT_UNSET | OPT_ALL | OPT_SYM_LINKS | OPT_MULTI;
 
     conf->content_md5 = AP_CONTENT_MD5_UNSET;
     conf->accept_path_info = AP_ACCEPT_PATHINFO_UNSET;
@@ -1548,11 +1548,15 @@
             opt = OPT_INCLUDES;
         }
         else if (!ap_cstr_casecmp(w, "FollowSymLinks")) {
-            opt = OPT_SYM_LINKS;
+            opt = OPT_SYM_OWNER;
         }
+	/* XXX COMPAT */
         else if (!ap_cstr_casecmp(w, "SymLinksIfOwnerMatch")) {
             opt = OPT_SYM_OWNER;
         }
+	else if (!ap_cstr_casecmp(w, "UnhardenedSymLinks")) {
+		opt = OPT_SYM_LINKS;
+	}
         else if (!ap_cstr_casecmp(w, "ExecCGI")) {
             opt = OPT_EXECCGI;
         }
@@ -1726,11 +1730,15 @@
             opt = OPT_INCLUDES;
         }
         else if (!ap_cstr_casecmp(w, "FollowSymLinks")) {
-            opt = OPT_SYM_LINKS;
+            opt = OPT_SYM_OWNER;
         }
+	/* XXX COMPAT */
         else if (!ap_cstr_casecmp(w, "SymLinksIfOwnerMatch")) {
             opt = OPT_SYM_OWNER;
         }
+	else if (!ap_cstr_casecmp(w, "UnhardenedSymLinks")) {
+		opt = OPT_SYM_LINKS;
+	}
         else if (!ap_cstr_casecmp(w, "ExecCGI")) {
             opt = OPT_EXECCGI;
         }
